Subject: Re: [Netconf] I-D Action: draft-ietf-netconf-restconf-03.txt

From: Andy Bierman <[email-masked]>
Date: Tue, 9 Dec 2014 09:16:31 -0800

Hi,

On Fri, Nov 14, 2014 at 8:29 AM, Jonathan Hansford
<[email-masked]> wrote:
> Hi,
>
>
>
> I’ve never worked with HTTP and so have been following up the HTTP
> definitions listed in section 1.4.2:
>
> ·         The terms ‘fragment’ and ‘query’ are actually defined in RFC 3986
>

OK

> ·         The term ‘header line’ is not defined in RFC 2616. Are you using
> it as a generic term for ‘request line’ and ‘status line’ that are defined
> in that RFC?

The term 'header line' is used once but not defined.
We are using it to mean Request-Line in most places, so I will change
it to that.
The term header is suggested for a header field.

>
> ·         The term ‘path’ is not defined in RFC 2616 and is used in that RFC
> for a number of purposes. I presume it is the URI ‘path’ that is intended,
> which is defined in RFC 3986
>

OK

> ·         The term ‘response body’ is not defined in RFC 2616 but I presume
> it means the message body of the response.
>

changed 'message body' to 'message-body' and 'response body'
to 'response message-body'

> Jonathan

Andy

>
>
> -----Original Message-----
> From: Netconf [mailto:[email-masked]] On Behalf Of Andy Bierman
> Sent: 26 October 2014 00:17
> Cc: Netconf
> Subject: Re: [Netconf] I-D Action: draft-ietf-netconf-restconf-03.txt
>
>
>
> FYI,
>
>
>
> This version of RESTCONF addresses all issues on the github tracker except
> maybe #9. Also,  #11 was deferred to a future release.
>
>
>
> A change was made to the "stream" list in ietf-restconf-monitoring.yang to
> allow separate stream links for XML and (optionally) JSON encoding of
> notifications.
>
>
>
> A "collection" resource, plus "limit" and "offset" query parameters, have
> been added to allow multiple leaf-list and list instances to be retrieved.
> The optional "page" capability allows pagination of list entries, using the
> limit and offset parameters.
>
>
>
> Issue List:
>
> https://github.com/netconf-wg/restconf/issues
>
>
>
>
>
> Please review the draft and send any comments to the mailing list.
>
> Please post any objections to closing the issues #2 - #8 and #10 - #13.
>
>
>
> thanks,
>
> Andy
>
>
>
> On Sat, Oct 25, 2014 at 3:46 PM,  <[email-masked]> wrote:
>
>>
>
>> A New Internet-Draft is available from the on-line Internet-Drafts
>> directories.
>
>>  This draft is a work item of the Network Configuration Working Group of
>> the IETF.
>
>>
>
>>         Title           : RESTCONF Protocol
>
>>         Authors         : Andy Bierman
>
>>                           Martin Bjorklund
>
>>                           Kent Watsen
>
>>         Filename        : draft-ietf-netconf-restconf-03.txt
>
>>         Pages           : 99
>
>>         Date            : 2014-10-25
>
>>
>
>> Abstract:
>
>>    This document describes an HTTP-based protocol that provides a
>
>>    programmatic interface for accessing data defined in YANG, using the
>
>>    datastores defined in NETCONF.
>
>>
>
>>
>
>> The IETF datatracker status page for this draft is:
>
>> https://datatracker.ietf.org/doc/draft-ietf-netconf-restconf/
>
>>
>
>> There's also a htmlized version available at:
>
>> http://tools.ietf.org/html/draft-ietf-netconf-restconf-03
>
>>
>
>> A diff from the previous version is available at:
>
>> http://www.ietf.org/rfcdiff?url2=draft-ietf-netconf-restconf-03
>
>>
>
>>
>
>> Please note that it may take a couple of minutes from the time of
>
>> submission until the htmlized version and diff are available at
>> tools.ietf.org.
>
>>
>
>> Internet-Drafts are also available by anonymous FTP at:
>
>> ftp://ftp.ietf.org/internet-drafts/
>
>>
>
>> _______________________________________________
>
>> I-D-Announce mailing list
>
>> [email-masked]
>
>> https://www.ietf.org/mailman/listinfo/i-d-announce
>
>> Internet-Draft directories: http://www.ietf.org/shadow.html or
>
>> ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
>
>
> _______________________________________________
>
> Netconf mailing list
>
> [email-masked]
>
> https://www.ietf.org/mailman/listinfo/netconf